MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007126ardourbugspublic2016-11-16 22:282016-11-20 06:00
Reportertimbyr 
Assigned Tonmains 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.X git (version in description) 
Target VersionFixed in Version5.X git (version in description) 
Summary0007126: MIDI notes not always created with draw tool when and where expected
DescriptionClicking with mouse to create MIDI note and moving the mouse one pixel to the left or right and releasing does not create the note.

The green ghost note becomes 1 pixel wide after clicking and moving the mouse 1 pixel to the left or right and then releasing the mouse button at that point will cause the MIDI note to not be created.

The expected behaviour is that the green ghost note stays the same length after mouse click and that the MIDI note is created at the initial click position...I think.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0018993)
nick_m (reporter)
2016-11-19 10:02

this should be fixed by the commits leading up to and including 3d1d2fef.

let me know if the behaviour doesn't match what you expect.

thanks.
(0018999)
timbyr (developer)
2016-11-19 17:13

The behaviour with snap to grid on is as I would expect and much improved in general since the 5.4.

I did notice though that in 5.4 and 5.4.399 in draw mode with the grid off, clicking, moving and releasing the mouse button a pixel distance either side of mouse click point that a note is created from the click point to the end of time?
(0019008)
timbyr (developer)
2016-11-20 06:00

Both of the issues mentioned in this report are now fixed in master as of commit f989ed5b or nightly build version >= 5.4.400

- Issue History
Date Modified Username Field Change
2016-11-16 22:28 timbyr New Issue
2016-11-17 21:43 timbyr Description Updated View Revisions
2016-11-19 10:02 nick_m Note Added: 0018993
2016-11-19 17:13 timbyr Note Added: 0018999
2016-11-19 17:13 timbyr Summary MIDI notes not always created with draw tool when expected => MIDI notes not always created with draw tool when and where expected
2016-11-20 06:00 timbyr Note Added: 0019008
2016-11-20 06:00 timbyr Status new => resolved
2016-11-20 06:00 timbyr Fixed in Version => 5.X git (version in description)
2016-11-20 06:00 timbyr Resolution open => fixed
2016-11-20 06:00 timbyr Assigned To => nmains


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker